Subject: [alpine-aports] [PATCH] main/kamailio: Version bump to 4.2.3

From: Nathan Angelacos <[email-masked]>
Date: Fri, 13 Feb 2015 19:56:11 +0000

Added ability to build from git snapshots

New module: redis
---
 main/kamailio/APKBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 42 insertions(+), 8 deletions(-)

diff --git a/main/kamailio/APKBUILD b/main/kamailio/APKBUILD
index a53f58e..5498eb7 100644
--- a/main/kamailio/APKBUILD
+++ b/main/kamailio/APKBUILD
@@ -1,9 +1,21 @@
 # Contributor: Łukasz Jendrysik <[email-masked]>
 # Contributor: Michael Mason <[email-masked]>
+# Contributor: Leonardo Arena <[email-masked]>
 # Maintainer: Nathan Angelacos <[email-masked]>
 pkgname=kamailio
-pkgver=4.2.2
-pkgrel=2
+
+# If building from a git snapshot, specify the gitcommit
+# abuild snapshot, then abuild as normal
+# If building a proper release, leave gitcommit blank
+#_gitcommit=f9c248a6
+_giturl="git://github.com/$pkgname/$pkgname.git"
+_gittag=HEAD
+
+
+pkgver=4.2.3
+pkgrel=0
+[ -z "${_gitcommit}" ] && _suffix="_src" || _suffix="-${_gitcommit}"
+
 pkgdesc="Open Source SIP Server"
 url="http://www.kamailio.org/"
 arch="all"
@@ -15,7 +27,7 @@ depends=""
 makedepends="bison flex expat-dev postgresql-dev pcre-dev mariadb-dev
 	libxml2-dev curl-dev unixodbc-dev confuse-dev ncurses-dev sqlite-dev
 	lua-dev openldap-dev openssl-dev net-snmp-dev libuuid libev-dev
-	json-c-dev libevent-dev linux-headers libmemcached-dev"
+	json-c-dev libevent-dev linux-headers libmemcached-dev hiredis-dev"
 install="$pkgname.pre-install $pkgname.pre-upgrade"
 
 # See Makefile.groups for the list of recommended modules for
@@ -204,19 +216,36 @@ for _i in db postgres sqlite dbtext mysql \
 	cpl xml unixodbc snmpstats xmpp carrierroute \
 	ldap utils tls presence lua ims outbound debugger \
 	extras json websocket authephemeral \
-	uuid ev memcached; do
+	uuid ev memcached redis; do
 
    subpackages="$subpackages $pkgname-$_i"
    eval "_modules=\"\$_modules \$_mod_list_$_i\""
 done
 
-source="http://www.kamailio.org/pub/kamailio/$pkgver/src/kamailio-${pkgver}_src.tar.gz
+source="http://www.kamailio.org/pub/kamailio/$pkgver/src/kamailio-${pkgver}${_suffix}.tar.gz
 	kamailio-4.2-backslash.patch
 	0001-musl-fixes.patch
 	kamailio.cfg
 	kamailio.initd
 	"
 
+_builddir="$srcdir"/${pkgname}-fb-${_ver}
+
+snapshot() {
+        mkdir -p "$srcdir"
+        cd "${SRCDEST:-$srcdir}"
+        if ! [ -d $pkgname.git ]; then
+                git clone --bare  $_giturl || return 1
+                cd $pkgname.git
+        else
+                cd $pkgname.git
+                git fetch || return 1
+        fi
+        git archive --prefix=$pkgname-$pkgver/ -o "$SRCDEST"/$pkgname-$_ver.tar.gz $_gittag
+}
+
+
+
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
 	cd "$_builddir"
@@ -452,17 +481,22 @@ memcached() {
 		"$_mod_list_memcached"
 }
 
-md5sums="844e6d44ffb374763eb395d8f1477ec7  kamailio-4.2.2_src.tar.gz
+redis() {
+	_generic_pkg "Redis NoSQL support" \
+		"$_mod_list_redis"
+}
+
+md5sums="f94eb1db3820dba22bd3fdae464e93b3  kamailio-4.2.3_src.tar.gz
 bad1ac2d4c95043df271d2ea6d37627a  kamailio-4.2-backslash.patch
 4685288dc54680597b00f956dc95d4d6  0001-musl-fixes.patch
 a3c959ec568c43a905710e7d25cd8c25  kamailio.cfg
 0e0a271fd3ddb7e87c01c26c7d041d59  kamailio.initd"
-sha256sums="10fb05cdc8a5223e5b0a8faf2b24819c60b40f232809c621569eda3e620f0ee5  kamailio-4.2.2_src.tar.gz
+sha256sums="7dbbca4a515778d3e903380adcc49f727ddc4853238cb905e14c811a5671ed80  kamailio-4.2.3_src.tar.gz
 d7e59be721ed0ad4621d404493b9a519708d801e9d4914b0164b819fa1abcd13  kamailio-4.2-backslash.patch
 b98555ff304b51b82c6cf7e01d757b15ea4f05bd2e603c84d4384df6a6be62b6  0001-musl-fixes.patch
 8024266849033a917147827c3579a382f10f3796989bebc6de3d7c80c965fb72  kamailio.cfg
 a90d3ab09a3ed58892e94710a1f80492a61ffad1ccf7ccb5b851bb8f538d32c4  kamailio.initd"
-sha512sums="e0aab8320b5ebeaa47f6df2155cada679c8977cd26b05b9ce4438a30e339d1db9450f17896575e64c2d608262abae7dd08c12356a594cb992d895e2042e89325  kamailio-4.2.2_src.tar.gz
+sha512sums="2f42499fe84eefac236fe3d4aa3c7bc424944236f00b95a7071feaa816b3df5764f84076d57b2137908dab7ff06a2440cc7a53a799216befd9511f8718a2eee5  kamailio-4.2.3_src.tar.gz
 a9bb1e8f9f373264b8351ddae099a36a46ddd46fdec09e468d297ba4f64bb4896e7d6e599da70a424e8a28695ab3f3b4ac940afab534593a6b9d08ae462f001a  kamailio-4.2-backslash.patch
 dea7ef2ccf01357576045ba375d41301e2447b4454324007c7ca1862322835c57045852017192ca5434b32dd1b7a2e9669209b7111889dab335b74f042d0f11f  0001-musl-fixes.patch
 0b666bfa10fd0af97b62749f8691cb3f76d9b40d1abe0a33e810e367bd733d2e8189c89f7f23010ec591116aada6e1a8a403b17449fe775038917617f281ad4d  kamailio.cfg
-- 
2.2.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---